
CoCoA-5 - Feature #1461

Automatic mapping for multiplication?

10 Jun 2020 16:06 - Anna Maria Bigatti

Status: Closed Start date: 10 Jun 2020

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: enhancing/improving Estimated time: 3.66 hours

Target version: CoCoA-5.4.0 Spent time: 3.70 hours

Description

Related issues:

Related to CoCoA-5 - Design #635: Automatic mapping of RingElem (in operation... Closed 22 Oct 2014

Related to CoCoALib - Feature #645: Automatic mapping of RingElem: user selec... Rejected 04 Nov 2014

Related to CoCoA-5 - Design #637: Undesirable consequence of automatic mappin... Closed 23 Oct 2014

Related to CoCoA-5 - Feature #7: Automatic mapping between (some) rings Resolved 20 Oct 2011

Related to CoCoALib - Design #1414: Make class RingElemVector? In Progress 12 Feb 2020

History

#1 - 10 Jun 2020 16:07 - Anna Maria Bigatti

- Related to Design #635: Automatic mapping of RingElem (in operation with a compound value) added

#2 - 10 Jun 2020 16:07 - Anna Maria Bigatti

- Related to Feature #645: Automatic mapping of RingElem: user selectable at run-time (GlobalManager?) added

#3 - 10 Jun 2020 16:07 - Anna Maria Bigatti

- Related to Design #637: Undesirable consequence of automatic mapping of RingElems? added

#4 - 10 Jun 2020 16:17 - Anna Maria Bigatti

- Category set to enhancing/improving

- Target version set to CoCoA-5.4.0

- % Done changed from 0 to 20

- Estimated time set to 10.00 h

Talking with John, getting bored in the hospital ;-)

first implementation

#5 - 10 Jun 2020 16:20 - Anna Maria Bigatti

use try/catch  for better error message?

direct use of myMulByCoeff for efficiency?  Is it worth it? (John guesses not)

#6 - 20 Jun 2020 21:34 - John Abbott

- Related to Feature #7: Automatic mapping between (some) rings added

#7 - 20 Jun 2020 21:36 - John Abbott

- Status changed from New to Resolved

- % Done changed from 20 to 50
I have revised Anna's impl (from a joint design over the phone).

In fact we now have the four arith ops with auto conversion.

I have also done:

MatrixOps.C

MatrixOps-KroneckerProd.C

module.C  (mostly)

#8 - 22 Jun 2020 17:59 - John Abbott

Here are some more places where ERR::MixedRings appears in the source -- which of these should be changed?

DenseMat:  myRowMul, myColMul, myAddRowMul, myAddColMul

FieldIdeal -- needs vector of RingElem in same ring

ideal.C  many, some need vector of RingElem in same ring

Matrix.C  for SetEntry,  also IamEqual

MatrixSpecial.C for JacobianMat which needs vector of RingElem in same ring

MatrixView  many cases, some need vector of RingElem in same ring

PolyFamilies for DicksonPoly

ring.C for operator+= and so on

RingElemOps-CoprimeFactorBasis  needs vector RingElem from same ring.

SparsePolyOps-XXX  many

#9 - 22 Jun 2020 18:00 - John Abbott

- Related to Design #1414: Make class RingElemVector? added

#10 - 22 Oct 2020 17:10 - John Abbott

I suggest closing this issue, and copying any unresolved parts into issue #7.

It would be nice to have issue #7 as the central point for matters relating to "automatic ringelem conversion".

#11 - 27 Oct 2020 19:08 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 50 to 100

- Estimated time changed from 10.00 h to 3.66 h

As suggested in comment 10 above, I have copied the "done list" and the "todo list" to issue #7.

Closing this issue -- the main part has been implemented.
